CREATE TABLE json_stores (
    id VARCHAR(64) PRIMARY KEY DEFAULT uuid_generate_v4(),
    user_id VARCHAR(64) REFERENCES users(id) ON DELETE CASCADE,
    foreign_key1_id VARCHAR(64),
    data_blob JSON NOT NULL DEFAULT '{}',
    type VARCHAR(128)
);

CREATE INDEX user_idx ON json_stores(user_id);
CREATE INDEX foreign_key1_idx ON json_stores(foreign_key1_id);
